//---------------------------------------------------------------------------

#ifndef mainH
#define mainH

#define NUM_CLR 4

//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <stdio.h>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
        TButton *btnLoad;
        TOpenDialog *opnFile;
        TSaveDialog *savFile;
        TScrollBox *scbBitmap;
        TImage *imgBitmap;
        TScrollBox *scbHex;
        TLabel *lblBitmap;
        TLabel *lblHex;
        TImage *imgHex;
        TButton *btnSave;
        void __fastcall btnLoadClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
private:	// User declarations
        int Colors[NUM_CLR][3]; // Basic color
        int **Matrix; // Hex picture points

        void RefreshHex(void);
        void print_hex(FILE *F, int hex);
public:		// User declarations
        __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
